using System;

namespace DM2AE
{
	// 
	public class DM2Pal256
	{
		// 
		static readonly System.Drawing.Color[] p256 = new System.Drawing.Color[] {
			System.Drawing.Color.FromArgb(0x00,0x00,0x00),
			System.Drawing.Color.FromArgb(0x0C,0x08,0x00),
			System.Drawing.Color.FromArgb(0x1C,0x10,0x00),
			System.Drawing.Color.FromArgb(0x28,0x18,0x00),
			System.Drawing.Color.FromArgb(0x38,0x20,0x04),
			System.Drawing.Color.FromArgb(0x45,0x28,0x04),
			System.Drawing.Color.FromArgb(0x55,0x30,0x04),
			System.Drawing.Color.FromArgb(0x61,0x38,0x08),
			System.Drawing.Color.FromArgb(0x75,0x49,0x10),
			System.Drawing.Color.FromArgb(0x86,0x59,0x18),
			System.Drawing.Color.FromArgb(0x9A,0x65,0x20),
			System.Drawing.Color.FromArgb(0xAA,0x75,0x28),
			System.Drawing.Color.FromArgb(0xBA,0x86,0x30),
			System.Drawing.Color.FromArgb(0xCB,0x96,0x38),
			System.Drawing.Color.FromArgb(0xDB,0xA6,0x41),
			System.Drawing.Color.FromArgb(0xEF,0xB6,0x49),
			System.Drawing.Color.FromArgb(0x00,0x00,0x00),
			System.Drawing.Color.FromArgb(0x08,0x04,0x0C),
			System.Drawing.Color.FromArgb(0x14,0x08,0x18),
			System.Drawing.Color.FromArgb(0x1C,0x0C,0x24),
			System.Drawing.Color.FromArgb(0x28,0x10,0x30),
			System.Drawing.Color.FromArgb(0x34,0x14,0x3C),
			System.Drawing.Color.FromArgb(0x3C,0x18,0x49),
			System.Drawing.Color.FromArgb(0x49,0x20,0x59),
			System.Drawing.Color.FromArgb(0x59,0x24,0x6D),
			System.Drawing.Color.FromArgb(0x6D,0x2C,0x82),
			System.Drawing.Color.FromArgb(0x7D,0x30,0x96),
			System.Drawing.Color.FromArgb(0x92,0x38,0xAA),
			System.Drawing.Color.FromArgb(0xA2,0x41,0xC3),
			System.Drawing.Color.FromArgb(0xB6,0x45,0xD7),
			System.Drawing.Color.FromArgb(0xC7,0x4D,0xEB),
			System.Drawing.Color.FromArgb(0xDB,0x55,0xFF),
			System.Drawing.Color.FromArgb(0x00,0x00,0x00),
			System.Drawing.Color.FromArgb(0x00,0x00,0x0C),
			System.Drawing.Color.FromArgb(0x00,0x00,0x18),
			System.Drawing.Color.FromArgb(0x00,0x00,0x24),
			System.Drawing.Color.FromArgb(0x00,0x00,0x30),
			System.Drawing.Color.FromArgb(0x00,0x00,0x3C),
			System.Drawing.Color.FromArgb(0x00,0x00,0x49),
			System.Drawing.Color.FromArgb(0x00,0x00,0x55),
			System.Drawing.Color.FromArgb(0x00,0x00,0x69),
			System.Drawing.Color.FromArgb(0x00,0x00,0x7D),
			System.Drawing.Color.FromArgb(0x00,0x00,0x96),
			System.Drawing.Color.FromArgb(0x00,0x00,0xAA),
			System.Drawing.Color.FromArgb(0x00,0x00,0xBE),
			System.Drawing.Color.FromArgb(0x00,0x00,0xD7),
			System.Drawing.Color.FromArgb(0x00,0x00,0xEB),
			System.Drawing.Color.FromArgb(0x00,0x00,0xFF),
			System.Drawing.Color.FromArgb(0x00,0x00,0x00),
			System.Drawing.Color.FromArgb(0x04,0x04,0x10),
			System.Drawing.Color.FromArgb(0x08,0x0C,0x20),
			System.Drawing.Color.FromArgb(0x10,0x14,0x30),
			System.Drawing.Color.FromArgb(0x14,0x1C,0x41),
			System.Drawing.Color.FromArgb(0x1C,0x24,0x51),
			System.Drawing.Color.FromArgb(0x20,0x2C,0x65),
			System.Drawing.Color.FromArgb(0x28,0x34,0x75),
			System.Drawing.Color.FromArgb(0x24,0x4D,0x86),
			System.Drawing.Color.FromArgb(0x1C,0x69,0x96),
			System.Drawing.Color.FromArgb(0x18,0x82,0xAA),
			System.Drawing.Color.FromArgb(0x14,0x9A,0xBA),
			System.Drawing.Color.FromArgb(0x10,0xB2,0xCB),
			System.Drawing.Color.FromArgb(0x08,0xCF,0xDF),
			System.Drawing.Color.FromArgb(0x04,0xE7,0xEF),
			System.Drawing.Color.FromArgb(0x00,0xFF,0xFF),
			System.Drawing.Color.FromArgb(0x00,0x00,0x00),
			System.Drawing.Color.FromArgb(0x10,0x0C,0x08),
			System.Drawing.Color.FromArgb(0x20,0x1C,0x14),
			System.Drawing.Color.FromArgb(0x34,0x2C,0x1C),
			System.Drawing.Color.FromArgb(0x45,0x3C,0x28),
			System.Drawing.Color.FromArgb(0x59,0x4D,0x34),
			System.Drawing.Color.FromArgb(0x69,0x5D,0x3C),
			System.Drawing.Color.FromArgb(0x79,0x6D,0x49),
			System.Drawing.Color.FromArgb(0x8E,0x7D,0x55),
			System.Drawing.Color.FromArgb(0x9E,0x8E,0x5D),
			System.Drawing.Color.FromArgb(0xB6,0xAE,0x6D),
			System.Drawing.Color.FromArgb(0xCF,0xCB,0x79),
			System.Drawing.Color.FromArgb(0xDB,0xD7,0x8E),
			System.Drawing.Color.FromArgb(0xE7,0xDF,0x9E),
			System.Drawing.Color.FromArgb(0xF3,0xEB,0xB2),
			System.Drawing.Color.FromArgb(0xFF,0xF3,0xC7),
			System.Drawing.Color.FromArgb(0x00,0x00,0x00),
			System.Drawing.Color.FromArgb(0x08,0x0C,0x08),
			System.Drawing.Color.FromArgb(0x10,0x1C,0x10),
			System.Drawing.Color.FromArgb(0x18,0x2C,0x18),
			System.Drawing.Color.FromArgb(0x20,0x3C,0x20),
			System.Drawing.Color.FromArgb(0x28,0x49,0x28),
			System.Drawing.Color.FromArgb(0x30,0x59,0x30),
			System.Drawing.Color.FromArgb(0x38,0x69,0x38),
			System.Drawing.Color.FromArgb(0x45,0x79,0x45),
			System.Drawing.Color.FromArgb(0x51,0x8E,0x51),
			System.Drawing.Color.FromArgb(0x61,0x9E,0x61),
			System.Drawing.Color.FromArgb(0x71,0xB2,0x71),
			System.Drawing.Color.FromArgb(0x82,0xC7,0x82),
			System.Drawing.Color.FromArgb(0x92,0xDB,0x92),
			System.Drawing.Color.FromArgb(0x9E,0xEB,0x9E),
			System.Drawing.Color.FromArgb(0xAE,0xFF,0xAE),
			System.Drawing.Color.FromArgb(0x00,0x00,0x00),
			System.Drawing.Color.FromArgb(0x04,0x08,0x04),
			System.Drawing.Color.FromArgb(0x08,0x14,0x08),
			System.Drawing.Color.FromArgb(0x0C,0x20,0x0C),
			System.Drawing.Color.FromArgb(0x10,0x2C,0x10),
			System.Drawing.Color.FromArgb(0x14,0x38,0x14),
			System.Drawing.Color.FromArgb(0x20,0x51,0x20),
			System.Drawing.Color.FromArgb(0x14,0x61,0x20),
			System.Drawing.Color.FromArgb(0x08,0x71,0x20),
			System.Drawing.Color.FromArgb(0x00,0x82,0x20),
			System.Drawing.Color.FromArgb(0x04,0x8A,0x38),
			System.Drawing.Color.FromArgb(0x08,0x96,0x55),
			System.Drawing.Color.FromArgb(0x10,0xA2,0x71),
			System.Drawing.Color.FromArgb(0x2C,0xB6,0x7D),
			System.Drawing.Color.FromArgb(0x49,0xCB,0x8A),
			System.Drawing.Color.FromArgb(0x65,0xDF,0x9A),
			System.Drawing.Color.FromArgb(0x00,0x00,0x00),
			System.Drawing.Color.FromArgb(0x00,0x08,0x00),
			System.Drawing.Color.FromArgb(0x00,0x10,0x00),
			System.Drawing.Color.FromArgb(0x00,0x18,0x00),
			System.Drawing.Color.FromArgb(0x00,0x24,0x00),
			System.Drawing.Color.FromArgb(0x00,0x2C,0x00),
			System.Drawing.Color.FromArgb(0x00,0x34,0x00),
			System.Drawing.Color.FromArgb(0x00,0x49,0x00),
			System.Drawing.Color.FromArgb(0x00,0x59,0x00),
			System.Drawing.Color.FromArgb(0x00,0x6D,0x00),
			System.Drawing.Color.FromArgb(0x00,0x7D,0x00),
			System.Drawing.Color.FromArgb(0x00,0x92,0x00),
			System.Drawing.Color.FromArgb(0x00,0xB2,0x00),
			System.Drawing.Color.FromArgb(0x00,0xD3,0x00),
			System.Drawing.Color.FromArgb(0x00,0xE7,0x00),
			System.Drawing.Color.FromArgb(0x00,0xFF,0x00),
			System.Drawing.Color.FromArgb(0x00,0x00,0x00),
			System.Drawing.Color.FromArgb(0x10,0x10,0x00),
			System.Drawing.Color.FromArgb(0x20,0x20,0x00),
			System.Drawing.Color.FromArgb(0x30,0x30,0x00),
			System.Drawing.Color.FromArgb(0x45,0x45,0x00),
			System.Drawing.Color.FromArgb(0x55,0x55,0x00),
			System.Drawing.Color.FromArgb(0x65,0x65,0x00),
			System.Drawing.Color.FromArgb(0x75,0x75,0x00),
			System.Drawing.Color.FromArgb(0x8A,0x8A,0x00),
			System.Drawing.Color.FromArgb(0x9A,0x9A,0x00),
			System.Drawing.Color.FromArgb(0xAA,0xAA,0x00),
			System.Drawing.Color.FromArgb(0xBA,0xBA,0x00),
			System.Drawing.Color.FromArgb(0xCF,0xCF,0x00),
			System.Drawing.Color.FromArgb(0xDF,0xDF,0x00),
			System.Drawing.Color.FromArgb(0xEF,0xEF,0x00),
			System.Drawing.Color.FromArgb(0xFF,0xFF,0x00),
			System.Drawing.Color.FromArgb(0x00,0x00,0x00),
			System.Drawing.Color.FromArgb(0x10,0x0C,0x00),
			System.Drawing.Color.FromArgb(0x20,0x18,0x00),
			System.Drawing.Color.FromArgb(0x30,0x24,0x00),
			System.Drawing.Color.FromArgb(0x45,0x30,0x00),
			System.Drawing.Color.FromArgb(0x55,0x3C,0x00),
			System.Drawing.Color.FromArgb(0x65,0x49,0x00),
			System.Drawing.Color.FromArgb(0x75,0x55,0x00),
			System.Drawing.Color.FromArgb(0x8A,0x61,0x00),
			System.Drawing.Color.FromArgb(0x9A,0x71,0x00),
			System.Drawing.Color.FromArgb(0xAA,0x7D,0x00),
			System.Drawing.Color.FromArgb(0xBA,0x8A,0x00),
			System.Drawing.Color.FromArgb(0xCF,0x96,0x00),
			System.Drawing.Color.FromArgb(0xDF,0xA2,0x00),
			System.Drawing.Color.FromArgb(0xEF,0xAE,0x00),
			System.Drawing.Color.FromArgb(0xFF,0xBA,0x00),
			System.Drawing.Color.FromArgb(0x00,0x00,0x00),
			System.Drawing.Color.FromArgb(0x10,0x08,0x00),
			System.Drawing.Color.FromArgb(0x20,0x10,0x00),
			System.Drawing.Color.FromArgb(0x30,0x18,0x00),
			System.Drawing.Color.FromArgb(0x45,0x24,0x00),
			System.Drawing.Color.FromArgb(0x55,0x2C,0x00),
			System.Drawing.Color.FromArgb(0x65,0x34,0x00),
			System.Drawing.Color.FromArgb(0x75,0x3C,0x00),
			System.Drawing.Color.FromArgb(0x8A,0x49,0x00),
			System.Drawing.Color.FromArgb(0x9A,0x51,0x00),
			System.Drawing.Color.FromArgb(0xAA,0x59,0x00),
			System.Drawing.Color.FromArgb(0xBA,0x61,0x00),
			System.Drawing.Color.FromArgb(0xCF,0x6D,0x00),
			System.Drawing.Color.FromArgb(0xDF,0x75,0x00),
			System.Drawing.Color.FromArgb(0xEF,0x7D,0x00),
			System.Drawing.Color.FromArgb(0xFF,0x8A,0x00),
			System.Drawing.Color.FromArgb(0x00,0x00,0x00),
			System.Drawing.Color.FromArgb(0x10,0x00,0x00),
			System.Drawing.Color.FromArgb(0x20,0x00,0x00),
			System.Drawing.Color.FromArgb(0x30,0x00,0x00),
			System.Drawing.Color.FromArgb(0x45,0x00,0x00),
			System.Drawing.Color.FromArgb(0x55,0x00,0x00),
			System.Drawing.Color.FromArgb(0x65,0x00,0x00),
			System.Drawing.Color.FromArgb(0x75,0x00,0x00),
			System.Drawing.Color.FromArgb(0x8A,0x00,0x00),
			System.Drawing.Color.FromArgb(0x9A,0x00,0x00),
			System.Drawing.Color.FromArgb(0xAA,0x00,0x00),
			System.Drawing.Color.FromArgb(0xBA,0x00,0x00),
			System.Drawing.Color.FromArgb(0xCF,0x00,0x00),
			System.Drawing.Color.FromArgb(0xDF,0x00,0x00),
			System.Drawing.Color.FromArgb(0xEF,0x00,0x00),
			System.Drawing.Color.FromArgb(0xFF,0x00,0x00),
			System.Drawing.Color.FromArgb(0x00,0x00,0x00),
			System.Drawing.Color.FromArgb(0x04,0x00,0x00),
			System.Drawing.Color.FromArgb(0x0C,0x04,0x00),
			System.Drawing.Color.FromArgb(0x10,0x08,0x00),
			System.Drawing.Color.FromArgb(0x18,0x0C,0x00),
			System.Drawing.Color.FromArgb(0x20,0x0C,0x00),
			System.Drawing.Color.FromArgb(0x2C,0x14,0x04),
			System.Drawing.Color.FromArgb(0x34,0x18,0x04),
			System.Drawing.Color.FromArgb(0x41,0x1C,0x04),
			System.Drawing.Color.FromArgb(0x4D,0x20,0x08),
			System.Drawing.Color.FromArgb(0x59,0x28,0x08),
			System.Drawing.Color.FromArgb(0x65,0x30,0x10),
			System.Drawing.Color.FromArgb(0x6D,0x38,0x14),
			System.Drawing.Color.FromArgb(0x79,0x45,0x1C),
			System.Drawing.Color.FromArgb(0x86,0x4D,0x20),
			System.Drawing.Color.FromArgb(0x92,0x55,0x28),
			System.Drawing.Color.FromArgb(0x00,0x00,0x00),
			System.Drawing.Color.FromArgb(0x10,0x0C,0x08),
			System.Drawing.Color.FromArgb(0x20,0x18,0x10),
			System.Drawing.Color.FromArgb(0x34,0x24,0x1C),
			System.Drawing.Color.FromArgb(0x45,0x30,0x24),
			System.Drawing.Color.FromArgb(0x55,0x3C,0x2C),
			System.Drawing.Color.FromArgb(0x69,0x49,0x38),
			System.Drawing.Color.FromArgb(0x79,0x55,0x41),
			System.Drawing.Color.FromArgb(0x8A,0x61,0x49),
			System.Drawing.Color.FromArgb(0x9E,0x6D,0x55),
			System.Drawing.Color.FromArgb(0xAE,0x79,0x5D),
			System.Drawing.Color.FromArgb(0xBE,0x86,0x65),
			System.Drawing.Color.FromArgb(0xD3,0x92,0x71),
			System.Drawing.Color.FromArgb(0xDF,0xA6,0x7D),
			System.Drawing.Color.FromArgb(0xEF,0xBA,0x8A),
			System.Drawing.Color.FromArgb(0xFF,0xCF,0x9A),
			System.Drawing.Color.FromArgb(0x00,0x00,0x00),
			System.Drawing.Color.FromArgb(0x08,0x08,0x08),
			System.Drawing.Color.FromArgb(0x14,0x14,0x10),
			System.Drawing.Color.FromArgb(0x20,0x20,0x18),
			System.Drawing.Color.FromArgb(0x2C,0x2C,0x24),
			System.Drawing.Color.FromArgb(0x38,0x38,0x2C),
			System.Drawing.Color.FromArgb(0x45,0x45,0x34),
			System.Drawing.Color.FromArgb(0x51,0x51,0x41),
			System.Drawing.Color.FromArgb(0x61,0x61,0x51),
			System.Drawing.Color.FromArgb(0x71,0x71,0x61),
			System.Drawing.Color.FromArgb(0x82,0x82,0x71),
			System.Drawing.Color.FromArgb(0x92,0x92,0x82),
			System.Drawing.Color.FromArgb(0xA2,0xA2,0x92),
			System.Drawing.Color.FromArgb(0xB2,0xB2,0xA2),
			System.Drawing.Color.FromArgb(0xC3,0xC3,0xB2),
			System.Drawing.Color.FromArgb(0xD3,0xD3,0xC3),
			System.Drawing.Color.FromArgb(0x00,0x00,0x00),
			System.Drawing.Color.FromArgb(0x08,0x08,0x08),
			System.Drawing.Color.FromArgb(0x14,0x14,0x14),
			System.Drawing.Color.FromArgb(0x1C,0x1C,0x1C),
			System.Drawing.Color.FromArgb(0x28,0x28,0x28),
			System.Drawing.Color.FromArgb(0x34,0x34,0x34),
			System.Drawing.Color.FromArgb(0x3C,0x3C,0x3C),
			System.Drawing.Color.FromArgb(0x51,0x51,0x51),
			System.Drawing.Color.FromArgb(0x61,0x61,0x61),
			System.Drawing.Color.FromArgb(0x71,0x71,0x71),
			System.Drawing.Color.FromArgb(0x92,0x92,0x92),
			System.Drawing.Color.FromArgb(0xA2,0xA2,0xA2),
			System.Drawing.Color.FromArgb(0xB2,0xB2,0xB2),
			System.Drawing.Color.FromArgb(0xCB,0xCB,0xCB),
			System.Drawing.Color.FromArgb(0xE7,0xE7,0xE7),
			System.Drawing.Color.FromArgb(0xFF,0xFF,0xFF)
		};
		// 
		public System.Drawing.Color this[int i]
		{
			get { return p256[i]; }
		}
	}
}
